Sisyphus repositório
Última atualização: 1 outubro 2023 | SRPMs: 18631 | Visitas: 37552760
en ru br
ALT Linux repositórios
S:7.5.4.2-alt1.1

Group :: Escritórios
RPM: LibreOffice

 Main   Changelog   Spec   Patches   Sources   Download   Gear   Bugs e FR  Repocop 

Patch: alt-001-MOZILLA_CERTIFICATE_FOLDER.patch
Download


--- desktop/scripts/soffice.sh.orig	2013-03-04 06:57:17.061824589 +0000
+++ desktop/scripts/soffice.sh	2013-03-04 07:30:31.892034863 +0000
@@ -149,5 +149,22 @@
     exec > valgrind.log 2>&1
 fi
 
+# ALT: find certificates database folder
+_find_cert_dir() { # path [mindepth [maxdepth [name [variable_name]]]]
+	local md="${2:-1}"
+	local Md="${3:-10}"
+	local N="${4:-cert8.db}"
+	local var="${5:-MOZILLA_CERTIFICATE_FOLDER}"
+	local cert8
+	test -d "$1" || return
+	cert8="$(find "$1" -mindepth "$md" -maxdepth "$Md" -name "$N" -print -quit)"
+	test -n "$cert8" || return
+	eval "export $var='$(dirname $cert8)'"
+}
+
+test -n "$MOZILLA_CERTIFICATE_FOLDER" || _find_cert_dir $HOME/.mozilla/firefox 2 2
+test -n "$MOZILLA_CERTIFICATE_FOLDER" || _find_cert_dir $HOME/.mozilla 3 3
+test -n "$MOZILLA_CERTIFICATE_FOLDER" || _find_cert_dir $HOME/.local
+
 # oosplash does the rest: forcing pages in, javaldx etc. are
 exec $VALGRINDCHECK $STRACECHECK "$sd_prog/oosplash" "$@"
 
projeto & código: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
mantenedor atual: Michael Shigorin
mantenedor da tradução: Fernando Martini aka fmartini © 2009